<?php
// select.php
require_once '../Conexion.php';
header('Content-Type: application/json');

$sql = $_POST['sql'] ?? '';
$db_name = $_POST['db'] ?? ''; // Nombre de la BD dinámica

if($sql != "") {
    // Instanciamos la conexión con la BD específica que pides desde el JS
    $conexion = new Conexion($db_name);
    $respuesta = $conexion->obtenerDatos($sql);
    echo json_encode($respuesta);
} else {
    echo json_encode(["status" => "error", "message" => "SQL Vacío"]);
}
?>